<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Methods: POST");

require_once "../config.php";

$conn = connect_db();

$res = array();

if ($conn->connect_error) {
	die('Connection failed: ' . $conn->connect_error);
} else {
	$sql = "
		SELECT CONCAT(nian, ' (', year , ' - ', zodiac, ')') AS nian, ID 
		FROM `liangshu_nian` 
		ORDER BY year
	";
	$result = $conn->query($sql);

	if ($result->num_rows > 0) {
		while ($row = $result->fetch_assoc()) {
			$temp = array(
				"ID" => $row["ID"],
				"nian" => $row["nian"]
			);

			array_push($res, $temp);
		}
	}
}

$conn->close();
echo json_encode($res);
